# Colorize

Try out this capability in Bria's sandbox

Description

Add vivid colors to B&W photos or convert color to B&W.
Example: style: "color_contemporary"

  
    Input Image
    Output Image

Endpoint: POST /colorize

## Header parameters:

  - `api_token` (string, required)

## Request fields (application/json):

  - `image` (string, required)
    The source image to be handled by the API.  
Supported input types:  
- Base64-encoded string - URL pointing to an image file that is publicly accessible and available at the time of processing.  
Accepted formats: JPEG, JPG, PNG, WEBP.

  - `color` (string, required)
    The restoration/color style ID.
    Enum: "color_contemporary", "color_vivid", "decolorize", "sepia_vintage", "cinematic_lighting", "warm_golden"

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.image_url` (string, required)

  - `result.seed` (integer, required)

  - `result.structured_instruction` (string, required)

  - `request_id` (string, required)

  - `warning` (string)
    Returned only when ip_signal = true and the instruction field included IP content.

## Response 202 fields (application/json):

  - `request_id` (string, required)

  - `status_url` (string, required)

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    Example: 123

  - `error.message` (string, required)

  - `error.details` (string, required)

  - `request_id` (string, required)


